package cn.com.qmth.examcloud.core.questions.starter;

import java.util.List;

import org.apache.commons.lang.StringUtils;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import cn.com.qmth.examcloud.core.questions.base.enums.PaperType;
import cn.com.qmth.examcloud.core.questions.dao.ExportServiceManageRepo;
import cn.com.qmth.examcloud.core.questions.dao.PaperDetailUnitRepo;
import cn.com.qmth.examcloud.core.questions.dao.PaperRepo;
import cn.com.qmth.examcloud.core.questions.dao.entity.ExportServiceManage;
import cn.com.qmth.examcloud.core.questions.dao.entity.Paper;
import cn.com.qmth.examcloud.core.questions.dao.entity.PaperDetailUnit;
import cn.com.qmth.examcloud.core.questions.service.PaperService;

/**
 * @author  	chenken
 * @date    	2017年5月12日 下午1:35:39
 * @company 	QMTH
 * @description PaperServiceTest.java
 */
@RunWith(SpringRunner.class)
@SpringBootTest
public class PaperServiceTest {
	@Autowired
	PaperService paperService;
	@Autowired
	ExportServiceManageRepo esmRepo;
	@Autowired
	PaperRepo paperRepo;
	@Autowired
	PaperDetailUnitRepo unitRepo;
	
	@Test
	public void testUseBasePaper(){
		String selectedPaperIds = "58f7294f6bf08e3453d9836c";
		String userId = "chenken";
		paperService.useBasePaper(selectedPaperIds, userId);
	}
	
	public static void main(String[] args){
		String[] answers = {"A","B"};
		System.out.println(StringUtils.join(answers,","));
	}
	
	
	@Test
	public void testExportServiceManage(){
		ExportServiceManage esm = new ExportServiceManage();
		esm.setOrgName("石油大学");
		esm.setExportServiceName("sydxExportPaperService");
		esmRepo.save(esm);
	}
	
	@Test
	public void updatePaperDetailUnit(){
		List<Paper> papers = paperRepo.findByPaperType(PaperType.GENERATE);
		int i = 0;
		for(Paper paper:papers){
			List<PaperDetailUnit> units = unitRepo.findByPaper(paper);
			for(PaperDetailUnit unit:units){
				unit.setPaperType(PaperType.GENERATE);
			}
			i++;
			unitRepo.save(units);
			System.out.println("已经处理完第" + i + "试卷");
		}
	}
}

